Bug 98920 - On-mouse-over expression evaluation in editor
On-mouse-over expression evaluation in editor
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-26 09:39 UTC by Martin Krauskopf
Modified: 2007-07-03 14:42 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2007-03-26 09:39:27 UTC
Would be very nice to have feature, like in Java debugger. Either variable under
the cursor or selected expression.
Comment 1 Martin Krauskopf 2007-03-26 09:44:45 UTC
Don't know yet how to get expression (selection and/or token) under the cursor.
If there is already some API somewhere in Ruby/Retouche modules, please let me
know. Thanks.
Comment 2 Torbjorn Norbye 2007-03-26 13:58:31 UTC
This is implemented in Java by registering a special tool tip annotation class in the debuggerjpda 
module:

    <folder name="Editors">
        <folder name="text">
            <folder name="x-java">
                <folder name="ToolTips">
                    <file name="org-netbeans-modules-debugger-jpda-projects-
ToolTipAnnotation.instance"/>
                </folder>


However, I'd like to support tooltips in the editor too (showing the declaration comment, if any, for the 
symbol under the mouse) so we may have to do some coordination here such that the debugger tooltip 
wins when there is an active debugging session, and the editing tooltip is shown at other times.
Comment 3 Martin Krauskopf 2007-03-26 14:56:37 UTC
I see. I thought it has to be somehow supported by underlying lexer. Seems like
direct Editor feature. Thanks for the pointer.
Comment 4 Martin Krauskopf 2007-04-02 10:14:30 UTC
First working version. Base on Java and Ant debuggers. Let's file bugs separately.

Checking in debugger/src/org/netbeans/modules/ruby/debugger/ToolTipAnnotation.java;
initial revision: 1.1
Checking in debugger/src/org/netbeans/modules/ruby/debugger/resource/layer.xml;
new revision: 1.2; previous revision: 1.1
Comment 5 Jiri Kovalsky 2007-07-03 13:58:58 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 6 Jiri Kovalsky 2007-07-03 14:42:41 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo